/**
 * Copyright (C) 2008-2012 Matt Gumbley, DevZendo.org <http://devzendo.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.devzendo.commondb.dao.impl

import org.springframework.jdbc.core.simple.SimpleJdbcTemplate
import org.devzendo.commondb.dao.SequenceDao
import org.springframework.dao.DataAccessException

class JdbcTemplateSequenceDao(jdbcTemplate: SimpleJdbcTemplate) extends SequenceDao {
    @throws(classOf[DataAccessException])
    def nextSequence: Long = {
        jdbcTemplate.queryForLong("SELECT NEXT VALUE FOR SEQUENCE Sequence")
    }
}
